WML::STD::BOX(1)

NAME
wml::std::box - Easily Create Rectangular Box

SYNOPSIS
 #use wml::std::box

 <box [attributes]>
 ...
 </box>

DESCRIPTION
The "<box>" container tag puts its body into a nice rectangular box which itself is build via a HTML "<table>" construct.

ATTRIBUTES

"header"
    This attribute switches between two totally different box variants. When it is present, a headlined box is created by the use of one single table but with space GIFs. When this attribute is missing a standard box is created by the use of two nested tables but without any space GIFs.

"bgcolor"
    This sets the background color of the box.

"fgcolor"
    This sets the foreground (text) color of the box.

"bdcolor"
    This sets the color for the border of the box. The effect of this attribute is the automatic generation of a nested table construct to achieve the optical effect.

"bdspace"
    This sets the space between the border and the body of the box in pixels. Default is 4 pixel.

"bdwidth"
    This sets the border width in pixels. Default is 1 pixel.

"width"
    This sets the total table width in pixels. Default is no specific width for the standard box and 300 pixels for the headlined box (because the headlined variant needs to know a fixed size to create the GIFs accordingly).

"summary"
    Add a description of this table. This attribute is recommended in HTML 4.0.

EXAMPLE
 <box bdcolor="#000000" bdwidth=1 bdspace=10
      bgcolor="#ffffff" fgcolor="#000000">
 Foo Bar Quux
 </box>

 <box header="Foo Bar Quux Header"
      bdcolor="#000000" bdwidth=1 bdspace=10
      bgcolor="#ffffff" fgcolor="#000000">
 Foo Bar Quux
 </box>

AUTHOR
 Ralf S. Engelschall
 rse@engelschall.com
 www.engelschall.com

REQUIRES
 Internal: P1, P2

SEEALSO
HTML "<table>" tag.